GET /api/v3/meter/{meterId}/digest/calendarized/monthly

Retrieves rolled up calendarized billing data for a given meter for a given range of months- Result includes cost, use, unit cost on a monthly basis.

GetMeterCalendarizedMonthlyV3 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The identifier for the meter being retrieved integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to two years of months (24 for actual and savings, and 24 or 26 (if 13 accounting periods) for calendarized and normalized) integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MeterDigestActualAndCalendarizedMonthlyResponse
Property Description Type
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
nativeDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of monthly data MeterDigestActualAndCalendarizedMonthlyResponse+Results[]
MeterDigestActualAndCalendarizedMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
days The number of days in the period integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
loadFactor Load Factor number (double)
nativeActualDemand Native Actual Demand number (double)
nativeActualDemandUnitCost Native Actual Demand Unit Cost number (double)
nativeBilledDemand Native Billed Demand number (double)
nativeBilledDemandUnitCost Native Billed Demand Unit Cost number (double)
nativeUse Native Use number (double)
nativeUseUnitCost Native Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commonUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "meterCode": "string",  "meterId": 1,  "meterInfo": "string",  "nativeDemandUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "nativeUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "results": [
    {    "calendarPeriod": 1,    "calendarYear": 1,    "commonUse": 1.0,    "commonUseUnitCost": 1.0,    "days": 1,    "fiscalPeriod": 1,    "fiscalYear": 1,    "loadFactor": 1.0,    "nativeActualDemand": 1.0,    "nativeActualDemandUnitCost": 1.0,    "nativeBilledDemand": 1.0,    "nativeBilledDemandUnitCost": 1.0,    "nativeUse": 1.0,    "nativeUseUnitCost": 1.0,    "periodName": "string",    "totalCost": 1.0
  }
  ],  "updated": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.